stages:  
  - build
<<<<<<< HEAD
  - test
=======
  - test:scripts
  - test:monitoring
  - test:inputs
>>>>>>> 7b4334bb2ab788e29ddde9098efcba96c0447112
    
build:tests:
  stage: build
  script:
    - python setup.py sdist --dist-dir=build

test:
  stage: test
  script: 
    - vagrant --fixture=scripts -- up
    - vagrant --fixture=scripts -- ssh test-runner -- -tt "cd /vagrant && pytest clmctest/scripts/"
    - vagrant --fixture=monitoring -- up
    - vagrant --fixture=monitoring -- ssh test-runner -- -tt "cd /vagrant && pytest clmctest/monitoring/"  
    - vagrant --fixture=inputs -- up
    - vagrant --fixture=inputs -- ssh test-runner -- -tt "cd /vagrant && pytest clmctest/inputs/"      
  after_script:
    - vagrant --fixture=inputs -- destroy --force     
    - vagrant --fixture=monitoring -- destroy --force     
    - vagrant --fixture=scripts -- destroy --force
  when: on_success   

 